Bug 1007433 - Process /usr/sbin/smbd was killed by signal 6 (SIGABRT)
Process /usr/sbin/smbd was killed by signal 6 (SIGABRT)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 09:30 EDT by Robert Peterson
Modified: 2015-02-17 12:09 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:09:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Peterson 2013-09-12 09:30:15 EDT
Description of problem:
This crash occurs every time my wife tries to access a samba share after it's been
sitting for a while. It does not impede her ability to use the samba share and the
files and/or directories within. Very reproducible.

backtrace_rating: 4
cmdline:        /usr/sbin/smbd
crash_function: dump_core
executable:     /usr/sbin/smbd
kernel:         3.10.9-200.fc19.x86_64
package:        samba-4.0.9-1.fc19
reason:         Process /usr/sbin/smbd was killed by signal 6 (SIGABRT)
runlevel:       N 3
uid:            0

Version-Release number of selected component (if applicable):
F19

How reproducible:
Seems to happen consistently

Steps to Reproduce:
1. Have samba exporting some shares
2. My wife walks into the room, sits down at her Window7 box and tries
   to access one of the shares.
3. I get a message on my F19 server saying smbd crashed.
4. She's still able to access everything she needs on the samba server.

Actual results:
Process /usr/sbin/smbd was killed by signal 6 (SIGABRT)

Expected results:
No errors

Additional info:
[New LWP 23072]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib64/libkeyutils.so.1.4.debug" does not match "/lib64/libkeyutils.so.1" (CRC mismatch).

Core was generated by `/usr/sbin/smbd'.
Program terminated with signal 6, Aborted.
#0  0x00007f73bb4b6a19 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
56	../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.

Thread 1 (Thread 0x7f73be95c840 (LWP 23072)):
#0  0x00007f73bb4b6a19 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
        resultvar = 0
        pid = 23072
        selftid = 23072
#1  0x00007f73bb4b8128 in __GI_abort () at abort.c:90
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x0, sa_sigaction = 0x0}, sa_mask = {__val = {206158430240, 140733740133056, 140135089223637, 17179869227, 140135106220713, 2336920844513705984, 140135106145040, 0, 2, 0, 0, 140135095453632, 0, 140136192933887, 140132233510912, 140135091498912}}, sa_flags = -1086803856, sa_restorer = 0x0}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x00007f73bce3957b in dump_core () at ../source3/lib/dumpcore.c:336
        called = true
        __FUNCTION__ = "dump_core"
#3  0x00007f73bce22f19 in smb_panic_s3 (why=<optimized out>) at ../source3/lib/util.c:833
        cmd = <optimized out>
        result = <optimized out>
        __FUNCTION__ = "smb_panic_s3"
#4  0x00007f73be36c57f in smb_panic (why=0x7f73bba584a8 "Bad talloc magic value - unknown value") at ../lib/util/fault.c:159
No locals.
#5  0x00007f73bba54e8a in talloc_abort_unknown_value () at ../talloc.c:362
No locals.
#6  talloc_chunk_from_ptr (ptr=0x7f73bf3a74c0) at ../talloc.c:381
        pp = 0x7f73bf3a74c0 ""
        tc = 0x7f73bf3a7460
#7  _talloc_free_internal (ptr=0x7f73bf3a74c0, location=0x7f73b81155b0 "../source3/libsmb/namequery.c:1850") at ../talloc.c:842
No locals.
#8  0x00007f73bba54b23 in _talloc_free_children_internal (tc=<optimized out>, location=0x7f73b81155b0 "../source3/libsmb/namequery.c:1850", ptr=0x7f73bf3a7400) at ../talloc.c:1355
        child = 0x7f73bf3a74c0
        new_parent = 0x7f73bf38b070
#9  _talloc_free_internal (ptr=0x7f73bf3a7400, location=0x7f73b81155b0 "../source3/libsmb/namequery.c:1850") at ../talloc.c:892
No locals.
#10 0x00007f73bba54b23 in _talloc_free_children_internal (tc=<optimized out>, location=0x7f73b81155b0 "../source3/libsmb/namequery.c:1850", ptr=0x7f73bf3a7340) at ../talloc.c:1355
        child = 0x7f73bf3a7400
        new_parent = 0x7f73bf38b070
#11 _talloc_free_internal (ptr=0x7f73bf3a7340, location=0x7f73b81155b0 "../source3/libsmb/namequery.c:1850") at ../talloc.c:892
No locals.
#12 0x00007f73bba5176b in _talloc_free_children_internal (tc=<optimized out>, location=0x7f73b81155b0 "../source3/libsmb/namequery.c:1850", ptr=0x7f73bf3a71c0) at ../talloc.c:1355
        child = 0x7f73bf3a7340
        new_parent = 0x7f73bf38b070
#13 _talloc_free_internal (location=<optimized out>, ptr=<optimized out>) at ../talloc.c:892
No locals.
#14 _talloc_free (ptr=0x7f73bf3a71c0, location=0x7f73b81155b0 "../source3/libsmb/namequery.c:1850") at ../talloc.c:1470
No locals.
#15 0x00007f73b810894f in name_resolve_bcast_done (subreq=0x7f73bf3a71c0) at ../source3/libsmb/namequery.c:1850
        req = 0x7f73bf3a6f70
        state = <optimized out>
#16 0x00007f73bb846ae7 in tevent_req_finish (location=<optimized out>, state=TEVENT_REQ_USER_ERROR, req=<optimized out>) at ../tevent_req.c:110
No locals.
#17 _tevent_req_error (req=<optimized out>, error=<optimized out>, location=<optimized out>) at ../tevent_req.c:128
No locals.
#18 0x00007f73baa33f8b in _tevent_req_nterror (req=req@entry=0x7f73bf3a71c0, status=..., status@entry=..., location=location@entry=0x7f73b8116508 "../source3/libsmb/namequery.c:1687") at ../lib/util/tevent_ntstatus.c:46
        err = <optimized out>
#19 0x00007f73b810a8d8 in name_queries_done (subreq=<optimized out>) at ../source3/libsmb/namequery.c:1687
        req = 0x7f73bf3a71c0
        state = 0x7f73bf3a7340
        i = <optimized out>
        status = {v = 3221225793}
#20 0x00007f73bb846444 in tevent_common_loop_immediate (ev=ev@entry=0x7f73bf3a6e90) at ../tevent_immediate.c:135
        im = 0x7f73bf3a7530
        handler = 0x7f73bb846b40 <tevent_req_trigger>
        private_data = 0x7f73bf3a7460
#21 0x00007f73bce4161c in run_events_poll (ev=0x7f73bf3a6e90, pollrtn=0, pfds=0x0, num_pfds=0) at ../source3/lib/events.c:192
No locals.
#22 0x00007f73bce41904 in s3_event_loop_once (ev=0x7f73bf3a6e90, location=<optimized out>) at ../source3/lib/events.c:303
        state = 0x7f73bf3a7c20
        timeout = 2147483647
        num_pfds = 32627
        ret = <optimized out>
        poll_errno = <optimized out>
#23 0x00007f73bb845c1d in _tevent_loop_once (ev=ev@entry=0x7f73bf3a6e90, location=location@entry=0x7f73bb84b401 "../tevent_req.c:210") at ../tevent.c:530
        ret = <optimized out>
        nesting_stack_ptr = 0x0
#24 0x00007f73bb846c5f in tevent_req_poll (req=req@entry=0x7f73bf3a6f70, ev=ev@entry=0x7f73bf3a6e90) at ../tevent_req.c:210
        ret = <optimized out>
#25 0x00007f73baa340be in tevent_req_poll_ntstatus (req=req@entry=0x7f73bf3a6f70, ev=ev@entry=0x7f73bf3a6e90, status=status@entry=0x7fff2096af90) at ../lib/util/tevent_ntstatus.c:106
        ret = <optimized out>
#26 0x00007f73b810b15f in name_resolve_bcast (name=name@entry=0x7f73bf38e630 "PETERSON", name_type=name_type@entry=28, mem_ctx=0x7f73bf3a6dd0, return_iplist=return_iplist@entry=0x7fff2096b030, return_count=return_count@entry=0x7fff2096b184) at ../source3/libsmb/namequery.c:1892
        frame = 0x7f73bf3a6e30
        ev = 0x7f73bf3a6e90
        req = 0x7f73bf3a6f70
        status = {v = 3221225495}
#27 0x00007f73b810c377 in internal_resolve_name (name=name@entry=0x7f73bf38e630 "PETERSON", name_type=name_type@entry=28, sitename=sitename@entry=0x0, return_iplist=return_iplist@entry=0x7fff2096b198, return_count=return_count@entry=0x7fff2096b184, resolve_order=<optimized out>, resolve_order@entry=0x7f73bf390cc0) at ../source3/libsmb/namequery.c:2708
        ss_list = 0x0
        tok = 0x7f73bf38e920 "bcast"
        status = <optimized out>
        i = <optimized out>
        __FUNCTION__ = "internal_resolve_name"
#28 0x00007f73b810caf9 in get_dc_list (domain=domain@entry=0x7f73bf38e630 "PETERSON", sitename=sitename@entry=0x0, ip_list=ip_list@entry=0x7fff2096b328, count=count@entry=0x7fff2096b324, lookup_type=lookup_type@entry=DC_NORMAL_LOOKUP, ordered=ordered@entry=0x7fff2096b2bf) at ../source3/libsmb/namequery.c:3114
        resolve_order = 0x7f73bf390cc0
        saf_servername = <optimized out>
        pserver = 0x7f73bf3a6ba0 ", *"
        p = 0x7f73bf3a6ba3 ""
        port_str = 0x0
        port = <optimized out>
        name = 0x7f73bf3a2000 "*"
        num_addresses = 0
        local_count = <optimized out>
        i = <optimized out>
        j = <optimized out>
        return_iplist = 0x0
        auto_ip_list = 0x0
        done_auto_lookup = false
        auto_count = 0
        status = <optimized out>
        ctx = 0x7f73bf38eab0
        __FUNCTION__ = "get_dc_list"
#29 0x00007f73b810da2f in get_sorted_dc_list (domain=domain@entry=0x7f73bf38e630 "PETERSON", sitename=sitename@entry=0x0, ip_list=ip_list@entry=0x7fff2096b328, count=count@entry=0x7fff2096b324, ads_only=ads_only@entry=false) at ../source3/libsmb/namequery.c:3295
        ordered = false
        status = <optimized out>
        lookup_type = DC_NORMAL_LOOKUP
        __FUNCTION__ = "get_sorted_dc_list"
#30 0x00007f73b8b6c428 in rpc_dc_name (ss_out=0x7fff2096b360, srv_name=0x7fff2096b5c0 "\020\267\226 \377\177", domain=0x7f73bf38e630 "PETERSON") at ../source3/libsmb/namequery_dc.c:175
        count = 0
        i = <optimized out>
        ip_list = <optimized out>
        dc_ss = {ss_family = 65535, __ss_align = 140733740135472, __ss_padding = "\000\034:\277s\177\000\000\060\264\226 \377\177\000\000\340m\267\270s\177\000\000\270\265\226 \377\177\000\000\001\000\000\000\000\000\000\000\025\000\000\000\000\000\000\000\000\034:\277s\177\000\000%\276X\273s\177\000\000\001\200\255\373\000\000\000\000\000\034:\277s\177\000\000\000\034:\277s\177\000\000\000\034:\277s\177\000\000\000\034:\277s\177\000\000\025\034:\277s\177\000"}
        result = <optimized out>
        addr = "\220\355\070\277s\177\000\000\220\355\070\277s\177\000\000\220\355\070\277s\177\000\000\253\355\070\277s\177\000\000\364\355\070\277s\177\000\000\220\355\070\277s\177"
#31 get_dc_name (domain=domain@entry=0x7f73bf38e630 "PETERSON", realm=realm@entry=0x0, srv_name=srv_name@entry=0x7fff2096b5c0 "\020\267\226 \377\177", ss_out=ss_out@entry=0x7fff2096b540) at ../source3/libsmb/namequery_dc.c:251
        dc_ss = {ss_family = 2, __ss_align = 0, __ss_padding = '\000' <repeats 111 times>}
        ret = false
        our_domain = <optimized out>
#32 0x00007f73b8b6cc45 in enumerate_domain_trusts (mem_ctx=mem_ctx@entry=0x7f73bf38edf0, domain=0x7f73bf38e630 "PETERSON", domain_names=domain_names@entry=0x7fff2096b720, num_domains=num_domains@entry=0x7fff2096b71c, sids=sids@entry=0x7fff2096b728) at ../source3/libsmb/trustdom_cache.c:277
        pol = {handle_type = 0, uuid = {time_low = 0, time_mid = 22552, time_hi_and_version = 48356, clock_seq = "s\177", node = "\000\000\216\253*("}}
        status = <optimized out>
        result = {v = 4294967295}
        dc_name = "\020\267\226 \377\177\000\000\060\266\226 \377\177\000\000\340m\267\270s\177\000\000\220\355\070\277s\177\000\000\360\355\070\277s\177\000\000\000\000\000\000\000\000\000\000\340m\267\270s\177\000\000\320\245:\277s\177\000\000 L;\277s\177\000\000\337S\245\273s\177\000\000\370\266\226 \377\177\000\000\b\000\000\000\060\000\000\000\020\267\226 \377\177\000\000\060\266\226 \377\177\000\000\300\266\226 \377\177\000\000\001\000\000\000\000\000\000\000\220\267\203\273s\177\000\000\000\000\000\000\000\000\000\000interval\033", '\000' <repeats 15 times>, "\033\r\344\274s\177\000\000\300\266\226 \377\177\000\000rc\031R\000\000\000\000\001", '\000' <repeats 15 times>...
        dc_ss = {ss_family = 300, __ss_align = 140135043938176, __ss_padding = "v\000\000\000\000\000\000\000\270\265\226 \377\177\000\000\030\266\226 \377\177\000\000\026\000\000\000\000\000\000\000\340m\267\270s\177\000\000\270\265\226 \377\177\000\000\030\266\226 \377\177\000\000\000\034:\277s\177\000\000\240\033:\277s\177\000\000\235F\245\273s\177", '\000' <repeats 18 times>, "\340\265\226 \377\177\000\000\b\000\000\000\060\000\000"}
        enum_ctx = 0
        cli = 0x0
        lsa_pipe = 0x0
        dom_list = {count = 0, domains = 0x7f73bce45732 <string_free+34>}
        i = <optimized out>
        b = 0x0
        __FUNCTION__ = "enumerate_domain_trusts"
#33 0x00007f73b8b6d4f6 in update_trustdom_cache () at ../source3/libsmb/trustdom_cache.c:390
        domain_names = 0x0
        dom_sids = 0x0
        num_domains = 0
        last_check = 0
        time_diff = <optimized out>
        mem_ctx = 0x7f73bf38edf0
        now = 1377433157
        i = <optimized out>
        __FUNCTION__ = "update_trustdom_cache"
#34 0x00007f73bd09f49a in is_trusted_domain (dom_name=dom_name@entry=0x7f73bf3b0f50 "SHIVA") at ../source3/auth/auth_util.c:1562
        result = <optimized out>
        trustdom_sid = {sid_rev_num = 176 '\260', num_auths = -28 '\344', id_auth = "8\277s\177\000", sub_auths = {3208318144, 32627, 0, 0, 3191290745, 32627, 0, 0, 2837632768, 3376516529, 3208176816, 32627, 3208318800, 32627, 3208318944}}
        ret = <optimized out>
        __FUNCTION__ = "is_trusted_domain"
#35 0x00007f73bd09f5a2 in make_user_info_map (user_info=user_info@entry=0x7fff2096b8b0, smb_name=0x7f73bf3b0fe0 "bob", client_domain=0x7f73bf3b0f50 "SHIVA", workstation_name=0x7f73bf3b1060 "SHIVA", remote_address=0x7f73bf3aa5d0, lm_pwd=0x7f73bf3b4c20, nt_pwd=0x7f73bf3b4c30, lm_interactive_pwd=lm_interactive_pwd@entry=0x0, nt_interactive_pwd=nt_interactive_pwd@entry=0x0, plaintext=plaintext@entry=0x0, password_state=password_state@entry=AUTH_PASSWORD_RESPONSE) at ../source3/auth/auth_util.c:127
        domain = 0x7f73bf3b0f50 "SHIVA"
        result = <optimized out>
        was_mapped = <optimized out>
        internal_username = 0x7f73bf3a6d60 "bob"
        __FUNCTION__ = "make_user_info_map"
#36 0x00007f73bd09a303 in auth3_check_password (auth4_context=<optimized out>, mem_ctx=0x7f73bf3b0ed0, user_info=0x7f73bf3b4be0, server_returned_info=0x7f73bf3b0ed0, session_key=0x7f73bf3b1940, lm_session_key=0x7f73bf3b1950) at ../source3/auth/auth_ntlmssp.c:119
        auth_context = 0x7f73bf3aa210
        mapped_user_info = 0x0
        server_info = 0x7f73bba538e3 <_talloc_zero+371>
        nt_status = <optimized out>
        username_was_mapped = <optimized out>
        __FUNCTION__ = "auth3_check_password"
#37 0x00007f73b7ee1b9d in ntlmssp_server_check_password (lm_session_key=0x7f73bf3b1950, user_session_key=0x7f73bf3b1940, mem_ctx=0x7f73bf3b1940, gensec_ntlmssp=0x7f73bf3b0ed0, gensec_security=0x7f73bf3b11f0) at ../auth/ntlmssp/ntlmssp_server.c:446
        ntlmssp_state = 0x7f73bf3b1470
        auth_context = 0x7f73bf3ad3a0
        nt_status = {v = 3221225474}
        user_info = 0x7f73bf3b4be0
#38 gensec_ntlmssp_server_auth (gensec_security=0x7f73bf3b11f0, out_mem_ctx=<optimized out>, in=..., out=<optimized out>) at ../auth/ntlmssp/ntlmssp_server.c:645
        gensec_ntlmssp = 0x7f73bf3b0ed0
        state = 0x7f73bf3b1940
        nt_status = <optimized out>
#39 0x00007f73b7edfe33 in gensec_ntlmssp_update (gensec_security=0x7f73bf3b11f0, out_mem_ctx=0x7f73bf3ae880, ev=<optimized out>, input=..., out=0x7fff2096bb10) at ../auth/ntlmssp/ntlmssp.c:162
        gensec_ntlmssp = 0x7f73bf3b0ed0
        ntlmssp_state = <optimized out>
        status = {v = 0}
        i = <optimized out>
#40 0x00007f73b7ee494a in gensec_update (gensec_security=0x7f73bf3b11f0, out_mem_ctx=out_mem_ctx@entry=0x7f73bf3ae880, ev=ev@entry=0x7f73bf38f3e0, in=..., out=out@entry=0x7fff2096bb10) at ../auth/gensec/gensec.c:220
        status = <optimized out>
        __FUNCTION__ = "gensec_update"
#41 0x00007f73b7eddc00 in gensec_spnego_update (gensec_security=gensec_security@entry=0x7f73bf3ae6c0, out_mem_ctx=out_mem_ctx@entry=0x7f73bf3ae880, ev=0x7f73bf38f3e0, in=..., out=out@entry=0x7f73bf3ae8d0) at ../auth/gensec/spnego.c:944
        nt_status = <optimized out>
        new_spnego = false
        spnego_state = 0x7f73bf3ae880
        null_data_blob = <optimized out>
        mech_list_mic = {data = 0x0, length = 0}
        unwrapped_out = {data = 0x0, length = 0}
        spnego_out = {type = -1107863312, negTokenInit = {mechTypes = 0x7f73bf3a6af0, reqFlags = {data = 0x7f73bf3ae950 "\340\363\070\277s\177", length = 140135064602136}, reqFlagsPadding = 192 '\300', mechToken = {data = 0x7f73bf3ab160 "\340\363\070\277s\177", length = 140135106275664}, mechListMIC = {data = 0x7f73bf3913a0 "#", length = 140135106288432}, targetPrincipal = 0x7f73b65bfa12 <asn1_peek+82> "H\203\304\b\270\001"}, negTokenTarg = {negResult = 224 '\340', supportedMech = 0x7f73b65bfa43 <asn1_read+19> "\204\300t\021H\001k\020H\203\304\b[]\303f\017\037D", responseToken = {data = 0x7f73bf38f6f0 "10.0.0.3", length = 140733740137504}, mechListMIC = {data = 0x0, length = 140134957448154}}}
        spnego = {type = 1, negTokenInit = {mechTypes = 0x0, reqFlags = {data = 0x0, length = 0}, reqFlagsPadding = 0 '\000', mechToken = {data = 0x0, length = 0}, mechListMIC = {data = 0x0, length = 0}, targetPrincipal = 0x0}, negTokenTarg = {negResult = 0 '\000', supportedMech = 0x0, responseToken = {data = 0x7f73bf3b1760 "NTLMSSP", length = 360}, mechListMIC = {data = 0x0, length = 0}}}
        len = <optimized out>
        __FUNCTION__ = "gensec_spnego_update"
#42 0x00007f73b7ede578 in gensec_spnego_update_wrapper (gensec_security=0x7f73bf3ae6c0, out_mem_ctx=0x7f73bf3afba0, ev=<optimized out>, in=..., out=0x7f73bf3afbc0) at ../auth/gensec/spnego.c:1311
        spnego_state = 0x7f73bf3ae880
        status = {v = 0}
#43 0x00007f73b7ee494a in gensec_update (gensec_security=0x7f73bf3ae6c0, out_mem_ctx=<optimized out>, ev=ev@entry=0x7f73bf38f3e0, in=..., out=<optimized out>) at ../auth/gensec/gensec.c:220
        status = <optimized out>
        __FUNCTION__ = "gensec_update"
#44 0x00007f73b7ee4abb in gensec_update_async_trigger (ctx=0x7f73bf38f3e0, im=<optimized out>, private_data=<optimized out>) at ../auth/gensec/gensec.c:324
        req = 0x7f73bf3afa20
        state = <optimized out>
        status = <optimized out>
#45 0x00007f73bb846444 in tevent_common_loop_immediate (ev=ev@entry=0x7f73bf38f3e0) at ../tevent_immediate.c:135
        im = 0x7f73bf3afc30
        handler = 0x7f73b7ee4a60 <gensec_update_async_trigger>
        private_data = 0x7f73bf3afa20
#46 0x00007f73bce4161c in run_events_poll (ev=0x7f73bf38f3e0, pollrtn=0, pfds=0x0, num_pfds=0) at ../source3/lib/events.c:192
No locals.
#47 0x00007f73bce41904 in s3_event_loop_once (ev=0x7f73bf38f3e0, location=<optimized out>) at ../source3/lib/events.c:303
        state = 0x7f73bf38df50
        timeout = 2147483647
        num_pfds = 0
        ret = <optimized out>
        poll_errno = <optimized out>
#48 0x00007f73bb845c1d in _tevent_loop_once (ev=ev@entry=0x7f73bf38f3e0, location=location@entry=0x7f73be08a978 "../source3/smbd/process.c:3625") at ../tevent.c:530
        ret = <optimized out>
        nesting_stack_ptr = 0x0
#49 0x00007f73bdf6419c in smbd_process (ev_ctx=ev_ctx@entry=0x7f73bf38f3e0, msg_ctx=msg_ctx@entry=0x7f73bf38f4d0, sock_fd=sock_fd@entry=35, interactive=interactive@entry=false) at ../source3/smbd/process.c:3625
        frame = 0x7f73bf3a6c20
        conn = <optimized out>
        sconn = <optimized out>
        ss = {ss_family = 2, __ss_align = 0, __ss_padding = '\000' <repeats 48 times>, "\200\030", '\000' <repeats 61 times>}
        sa = 0x7fff2096be70
        sa_socklen = 16
        local_address = 0x7f73bf396db0
        remote_address = 0x7f73bf393850
        locaddr = <optimized out>
        remaddr = <optimized out>
        rhost = 0x0
        ret = <optimized out>
        __FUNCTION__ = "smbd_process"
#50 0x00007f73be9d0c44 in smbd_accept_connection (ev=0x7f73bf38f3e0, fde=<optimized out>, flags=<optimized out>, private_data=<optimized out>) at ../source3/smbd/server.c:621
        status = <optimized out>
        s = 0x0
        msg_ctx = 0x7f73bf38f4d0
        addr = {ss_family = 2, __ss_align = 0, __ss_padding = '\000' <repeats 16 times>, "`", '\000' <repeats 23 times>, "\340\363\070\277s\177\000\000\030\340\071\277s\177\000\000\240\023\071\277s\177\000\000\000\000\000\000\000\000\000\000P\337\070\277s\177\000\000\005\000\000\000\000\000\000\000#\000\000\000\000\000\000\000\005\000\000\000\000\000\000\000PR9\277s\177\000"}
        in_addrlen = 16
        fd = 35
        pid = 0
        unique_id = 14686757513339487963
        __FUNCTION__ = "smbd_accept_connection"
#51 0x00007f73bce4174c in run_events_poll (ev=0x7f73bf38f3e0, pollrtn=<optimized out>, pfds=0x7f73bf395250, num_pfds=5) at ../source3/lib/events.c:257
        pfd = <optimized out>
        flags = <optimized out>
        state = <optimized out>
        pollfd_idx = 0x7f73bf395860
        fde = 0x7f73bf39fdc0
        pollrtn = <optimized out>
        num_pfds = 5
        pfds = 0x7f73bf395250
        ev = 0x7f73bf38f3e0
#52 0x00007f73bce419a0 in s3_event_loop_once (ev=0x7f73bf38f3e0, location=<optimized out>) at ../source3/lib/events.c:326
        state = 0x7f73bf38df50
        timeout = 60000
        num_pfds = 5
        ret = <optimized out>
        poll_errno = 4
#53 0x00007f73bb845c1d in _tevent_loop_once (ev=ev@entry=0x7f73bf38f3e0, location=location@entry=0x7f73be9d3705 "../source3/smbd/server.c:946") at ../tevent.c:530
        ret = <optimized out>
        nesting_stack_ptr = 0x0
#54 0x00007f73be9cdb04 in smbd_parent_loop (parent=<optimized out>, ev_ctx=0x7f73bf38f3e0) at ../source3/smbd/server.c:946
        ret = <optimized out>
        frame = 0x7f73bf394580
#55 main (argc=<optimized out>, argv=<optimized out>) at ../source3/smbd/server.c:1568
        is_daemon = <optimized out>
        interactive = <optimized out>
        Fork = true
        no_process_group = 240
        log_stdout = <optimized out>
        ports = 0x0
        profile_level = 0x0
        opt = <optimized out>
        pc = 0x7f73bf38f3e0
        print_build_options = 208
        long_options = {{longName = 0x0, shortName = 0 '\000', argInfo = 4, arg = 0x7f73bbe65320 <poptHelpOptions>, val = 0, descrip = 0x7f73be9d3067 "Help options:", argDescrip = 0x0}, {longName = 0x7f73be9d3075 "daemon", shortName = 68 'D', argInfo = 0, arg = 0x0, val = 1000, descrip = 0x7f73be9d307c "Become a daemon (default)", argDescrip = 0x0}, {longName = 0x7f73be9d3096 "interactive", shortName = 105 'i', argInfo = 0, arg = 0x0, val = 1001, descrip = 0x7f73be9d3b88 "Run interactive (not a daemon)", argDescrip = 0x0}, {longName = 0x7f73be9d30a2 "foreground", shortName = 70 'F', argInfo = 0, arg = 0x0, val = 1002, descrip = 0x7f73be9d3ba8 "Run daemon in foreground (for daemontools, etc.)", argDescrip = 0x0}, {longName = 0x7f73be9d30ad "no-process-group", shortName = 0 '\000', argInfo = 0, arg = 0x0, val = 1003, descrip = 0x7f73be9d3be0 "Don't create a new process group", argDescrip = 0x0}, {longName = 0x7f73be9d30be "log-stdout", shortName = 83 'S', argInfo = 0, arg = 0x0, val = 1004, descrip = 0x7f73be9d30c9 "Log to stdout", argDescrip = 0x0}, {longName = 0x7f73be9d30d7 "build-options", shortName = 98 'b', argInfo = 0, arg = 0x0, val = 98, descrip = 0x7f73be9d30e5 "Print build options", argDescrip = 0x0}, {longName = 0x7f73be9d30f9 "port", shortName = 112 'p', argInfo = 1, arg = 0x7fff2096c258, val = 0, descrip = 0x7f73be9d30fe "Listen on the specified ports", argDescrip = 0x0}, {longName = 0x7f73be9d311c "profiling-level", shortName = 80 'P', argInfo = 1, arg = 0x7fff2096c260, val = 0, descrip = 0x7f73be9d312c "Set profiling level", argDescrip = 0x7f73be9d3140 "PROFILE_LEVEL"}, {longName = 0x0, shortName = 0 '\000', argInfo = 4, arg = 0x7f73bd4b64a0 <popt_common_samba>, val = 0, descrip = 0x7f73be9d314e "Common samba options:", argDescrip = 0x0}, {longName = 0x0, shortName = 0 '\000', argInfo = 4, arg = 0x7f73bd4b5840 <popt_common_dynconfig>, val = 0, descrip = 0x7f73be9d3c08 "Build-time configuration overrides:", argDescrip = 0x0}, {longName = 0x0, shortName = 0 '\000', argInfo = 0, arg = 0x0, val = 0, descrip = 0x0, argDescrip = 0x0}}
        parent = 0x7f73bf3913a0
        frame = <optimized out>
        status = <optimized out>
        ev_ctx = 0x7f73bf38f3e0
        msg_ctx = 0x7f73bf38f4d0
        server_id = {pid = 697, task_id = 0, vnn = 4294967295, unique_id = 3086068227814944770}
        se = <optimized out>
        np_dir = <optimized out>
        smbd_shim_fns = {cancel_pending_lock_requests_by_fid = 0x7f73bdf4dbc0 <smbd_cancel_pending_lock_requests_by_fid>, send_stat_cache_delete_message = 0x7f73bdf536f0 <smbd_send_stat_cache_delete_message>, change_to_root_user = 0x7f73bdf3c840 <smbd_change_to_root_user>, contend_level2_oplocks_begin = 0x7f73bdf983b0 <smbd_contend_level2_oplocks_begin>, contend_level2_oplocks_end = 0x7f73bdf98510 <smbd_contend_level2_oplocks_end>, become_root = 0x7f73bdf3c920 <smbd_become_root>, unbecome_root = 0x7f73bdf3c950 <smbd_unbecome_root>, exit_server = 0x7f73bdf91680 <smbd_exit_server>, exit_server_cleanly = 0x7f73bdf916a0 <smbd_exit_server_cleanly>}
        __FUNCTION__ = "main"
From                To                  Syms Read   Shared Object Library
0x00007f73be58d790  0x00007f73be5983c4  Yes         /lib64/libpthread.so.0
0x00007f73be361760  0x00007f73be377ab8  Yes         /lib64/libsamba-util.so.0
0x00007f73bdea28a0  0x00007f73be038398  Yes         /usr/lib64/samba/libsmbd_base.so
0x00007f73bdb778e0  0x00007f73bdbfb72c  Yes         /usr/lib64/samba/libndr-samba.so
0x00007f73bd94ad70  0x00007f73bd95307c  Yes         /usr/lib64/samba/libcliauth.so
0x00007f73bd6e6450  0x00007f73bd6e69ac  Yes         /usr/lib64/samba/liberrors.so
0x00007f73bd4b9c50  0x00007f73bd4bd92c  Yes         /usr/lib64/samba/libsamba3-util.so
0x00007f73bd2b3810  0x00007f73bd2b4468  Yes         /usr/lib64/samba/libpopt_samba3.so
0x00007f73bd093990  0x00007f73bd0a3140  Yes         /usr/lib64/samba/libauth.so
0x00007f73bce1e5a0  0x00007f73bce56bdc  Yes         /lib64/libsmbconf.so.0
0x00007f73bcbeae60  0x00007f73bcbf4e4c  Yes         /usr/lib64/samba/libsamba-sockets.so
0x00007f73bc9be240  0x00007f73bc9d4cd0  Yes         /lib64/libpdb.so.0
0x00007f73bc7b0840  0x00007f73bc7b0abc  Yes         /usr/lib64/samba/libsmbd_shim.so
0x00007f73bc2e7ba0  0x00007f73bc4d2f30  Yes         /lib64/libndr-standard.so.0
0x00007f73bc07d610  0x00007f73bc08d1fc  Yes         /lib64/libsamba-hostconfig.so.0
0x00007f73bbe693d0  0x00007f73bbe6cb30  Yes         /usr/lib64/samba/libsecrets3.so
0x00007f73bbc5dcf0  0x00007f73bbc63144  Yes         /lib64/libpopt.so.0
0x00007f73bba51390  0x00007f73bba5849c  Yes         /lib64/libtalloc.so.2
0x00007f73bb845270  0x00007f73bb84b014  Yes         /lib64/libtevent.so.0
0x00007f73bb4a0410  0x00007f73bb5e3710  Yes         /lib64/libc.so.6
0x00007f73be7a4ae0  0x00007f73be7bec3a  Yes         /lib64/ld-linux-x86-64.so.2
0x00007f73bb27b2c0  0x00007f73bb27e0bc  Yes         /lib64/librt.so.1
0x00007f73bb06cbf0  0x00007f73bb074c50  Yes         /lib64/libbsd.so.0
0x00007f73bae53370  0x00007f73bae5cfa8  Yes         /usr/lib64/samba/libsmbregistry.so
0x00007f73bac39c50  0x00007f73bac43e00  Yes         /usr/lib64/samba/libprinting_migrate.so
0x00007f73baa33e10  0x00007f73baa34244  Yes         /lib64/libtevent-util.so.0
0x00007f73ba7e45c0  0x00007f73ba8185bc  Yes         /lib64/libnetapi.so.0
0x00007f73ba5cfb70  0x00007f73ba5d035c  Yes         /usr/lib64/samba/libsmbd_conn.so
0x00007f73ba3cc3a0  0x00007f73ba3ccb48  Yes         /usr/lib64/samba/libutil_tdb.so
0x00007f73ba1c3de0  0x00007f73ba1c6764  Yes         /usr/lib64/samba/libnpa_tstream.so
0x00007f73b9fad070  0x00007f73b9fb84dc  Yes         /usr/lib64/samba/libsamba-security.so
0x00007f73b9d56d30  0x00007f73b9d85b98  Yes         /usr/lib64/samba/liblibsmb.so
0x00007f73b9b387f0  0x00007f73b9b4016c  Yes         /usr/lib64/samba/libmsrpc3.so
0x00007f73b992b8b0  0x00007f73b992f078  Yes         /usr/lib64/samba/libdbwrap.so
0x00007f73b9722660  0x00007f73b9725748  Yes         /usr/lib64/samba/libkrb5samba.so
0x00007f73b93d5f50  0x00007f73b946f2e0  Yes         /usr/lib64/samba/libdcerpc-samba.so
0x00007f73b918bb70  0x00007f73b9193f44  Yes         /lib64/libndr.so.0
0x00007f73b8f839f0  0x00007f73b8f83c70  Yes         /usr/lib64/samba/libutil_reg.so
0x00007f73b8d7ed50  0x00007f73b8d80cf8  Yes         /usr/lib64/samba/libcli_spoolss.so
0x00007f73b8b5a360  0x00007f73b8b6f9e0  Yes         /usr/lib64/samba/libads.so
0x00007f73b894f8d0  0x00007f73b894fb1c  Yes         /usr/lib64/samba/libutil_setid.so
0x00007f73b874c110  0x00007f73b874d328  Yes         /usr/lib64/samba/liblibcli_lsa3.so
0x00007f73b8540ef0  0x00007f73b8546df4  Yes         /lib64/libwbclient.so.0
0x00007f73b83258b0  0x00007f73b83356b0  Yes         /usr/lib64/samba/libcli_smb_common.so
0x00007f73b80ffb20  0x00007f73b811143c  Yes         /usr/lib64/samba/libgse.so
0x00007f73b7edaca0  0x00007f73b7ee9c58  Yes         /lib64/libgensec.so.0
0x00007f73b7cc0110  0x00007f73b7cca294  Yes         /lib64/libdcerpc-binding.so.0
0x00007f73b7ab5eb0  0x00007f73b7ab67ec  Yes         /usr/lib64/samba/libCHARSET3.so
0x00007f73b78ac150  0x00007f73b78afd8c  Yes         /usr/lib64/samba/libauthkrb5.so
0x00007f73b76a5410  0x00007f73b76a6768  Yes         /usr/lib64/samba/libsmb_transport.so
0x00007f73b74a1d90  0x00007f73b74a24b0  Yes         /usr/lib64/samba/libsamba-modules.so
0x00007f73b725f080  0x00007f73b728deb4  Yes         /lib64/libldap-2.4.so.2
0x00007f73b704d510  0x00007f73b704e0d4  Yes         /lib64/libcom_err.so.2
0x00007f73b6e3c590  0x00007f73b6e46334  Yes         /lib64/libtdb.so.1
0x00007f73b6be4510  0x00007f73b6c21c58  Yes         /lib64/libcups.so.2
0x00007f73b69cd3d0  0x00007f73b69cf41c  Yes         /lib64/libattr.so.1
0x00007f73b67c4f80  0x00007f73b67c8d04  Yes         /lib64/libacl.so.1
0x00007f73b65bec50  0x00007f73b65c0894  Yes         /usr/lib64/samba/libasn1util.so
0x00007f73b63ac160  0x00007f73b63b67ac  Yes         /lib64/libndr-nbt.so.0
0x00007f73b6193170  0x00007f73b619f5f0  Yes         /lib64/libz.so.1
0x00007f73b5f8ec80  0x00007f73b5f8f11c  Yes         /usr/lib64/samba/libtdb-wrap.so
0x00007f73b5d8b3b0  0x00007f73b5d8b9f4  Yes         /usr/lib64/samba/libutil_cmdline.so
0x00007f73b5b86710  0x00007f73b5b87f0c  Yes         /usr/lib64/samba/liblibcli_netlogon3.so
0x00007f73b5978ee0  0x00007f73b597e9ac  Yes         /lib64/libsamba-credentials.so.0
0x00007f73b576d270  0x00007f73b57709a8  Yes         /lib64/libndr-krb5pac.so.0
0x00007f73b5566d70  0x00007f73b5567bdc  Yes         /usr/lib64/samba/libauth_sam_reply.so
0x00007f73b5351110  0x00007f73b535dd94  Yes         /lib64/libnsl.so.1
0x00007f73b51416c0  0x00007f73b51487ec  Yes         /lib64/libpam.so.0
0x00007f73b4f3ca80  0x00007f73b4f3d2bc  Yes         /usr/lib64/samba/libinterfaces.so
0x00007f73b4d39850  0x00007f73b4d39ab0  Yes         /usr/lib64/samba/libserver-role.so
0x00007f73b4b35620  0x00007f73b4b36d74  Yes         /lib64/libcap.so.2
0x00007f73b49286d0  0x00007f73b492f844  Yes         /lib64/liblber-2.4.so.2
0x00007f73b46eeec0  0x00007f73b46f3b5c  Yes         /lib64/libcrypt.so.1
0x00007f73b44eaed0  0x00007f73b44eb9d0  Yes         /lib64/libdl.so.2
0x00007f73b42e7830  0x00007f73b42e7ae8  Yes         /usr/lib64/samba/libflag_mapping.so
0x00007f73b40e1be0  0x00007f73b40e4188  Yes         /usr/lib64/samba/libcli_cldap.so
0x00007f73b3e25530  0x00007f73b3e8647c  Yes         /lib64/libkrb5.so.3
0x00007f73b3bd0750  0x00007f73b3bf06c0  Yes         /lib64/libk5crypto.so.3
0x00007f73b39c1bc0  0x00007f73b39c7074  Yes         /usr/lib64/samba/libaddns.so
0x00007f73b37b6910  0x00007f73b37ba3d0  Yes         /lib64/libsmbldap.so.0
0x00007f73b35aeb80  0x00007f73b35b1600  Yes         /usr/lib64/samba/libcli-ldap-common.so
0x00007f73b336fbb0  0x00007f73b339f8b4  Yes         /lib64/libgssapi_krb5.so.2
0x00007f73b3160e40  0x00007f73b31619f8  Yes         /usr/lib64/samba/libwinbind-client.so
0x00007f73b2f579a0  0x00007f73b2f5b2ec  Yes         /usr/lib64/samba/libcli-nbt.so
0x00007f73b2d456f0  0x00007f73b2d4df00  Yes         /lib64/libsamdb.so.0
0x00007f73b2b27b60  0x00007f73b2b389c4  Yes         /lib64/libsasl2.so.3
0x00007f73b290ca40  0x00007f73b291b71c  Yes         /lib64/libresolv.so.2
0x00007f73b26d67f0  0x00007f73b26f8f14  Yes         /lib64/libssl3.so
0x00007f73b24a8a10  0x00007f73b24bff88  Yes         /lib64/libsmime3.so
0x00007f73b217a3a0  0x00007f73b225a1c4  Yes         /lib64/libnss3.so
0x00007f73b1f41d80  0x00007f73b1f4fc94  Yes         /lib64/libnssutil3.so
0x00007f73b1d33030  0x00007f73b1d33f78  Yes         /lib64/libplds4.so
0x00007f73b1b2e510  0x00007f73b1b2fb18  Yes         /lib64/libplc4.so
0x00007f73b18fcce0  0x00007f73b191be60  Yes         /lib64/libnspr4.so
0x00007f73b16a13d0  0x00007f73b16d78f0  Yes         /lib64/libssl.so.10
0x00007f73b1326440  0x00007f73b1403b78  Yes         /lib64/libcrypto.so.10
0x00007f73b10bc530  0x00007f73b10c167c  Yes         /lib64/libavahi-common.so.3
0x00007f73b0eab9d0  0x00007f73b0eb3c38  Yes         /lib64/libavahi-client.so.3
0x00007f73b0bab4b0  0x00007f73b0c15c08  Yes         /lib64/libm.so.6
0x00007f73b09a3be0  0x00007f73b09a4048  Yes         /usr/lib64/samba/libreplace.so
0x00007f73b078ba40  0x00007f73b0796c4c  Yes         /usr/lib64/samba/libsamdb-common.so
0x00007f73b0564ea0  0x00007f73b057597c  Yes         /usr/lib64/samba/libldbsamba.so
0x00007f73b0334d60  0x00007f73b034c8c4  Yes         /lib64/libldb.so.1
0x00007f73b01098f0  0x00007f73b010f094  Yes         /lib64/libaudit.so.1
0x00007f73afe9e380  0x00007f73afee4470  Yes         /lib64/libfreebl3.so
0x00007f73afc905e0  0x00007f73afc96f3c  Yes         /lib64/libkrb5support.so.0
0x00007f73afa8a1c0  0x00007f73afa8ab1c  Yes (*)     /lib64/libkeyutils.so.1
0x00007f73af84a840  0x00007f73af872c94  Yes         /lib64/libdbus-1.so.3
0x00007f73af626260  0x00007f73af637e9c  Yes         /lib64/libselinux.so.1
0x00007f73af3bd5f0  0x00007f73af405cc8  Yes         /lib64/libpcre.so.1
0x00007f73a8c8ff40  0x00007f73a8c92eb4  Yes         /usr/lib64/samba/pdb/tdbsam.so
0x00007f73a8a831e0  0x00007f73a8a8a3cc  Yes         /lib64/libnss_files.so.2
0x00007f73a8879b70  0x00007f73a887e054  Yes         /usr/lib64/sasl2/libgssapiv2.so
0x00007f73a8674150  0x00007f73a8675cf4  Yes         /usr/lib64/sasl2/liblogin.so
0x00007f73a846f160  0x00007f73a8470b44  Yes         /usr/lib64/sasl2/libanonymous.so
0x00007f73a826a1b0  0x00007f73a826be74  Yes         /usr/lib64/sasl2/libplain.so
0x00007f73a805cb70  0x00007f73a8065064  Yes         /usr/lib64/sasl2/libdigestmd5.so
0x00007f73a7e56260  0x00007f73a7e583f4  Yes         /usr/lib64/sasl2/libcrammd5.so
0x00007f73a7c4c500  0x00007f73a7c517e4  Yes         /usr/lib64/sasl2/libscram.so
0x00007f73a7a45500  0x00007f73a7a47f88  Yes         /usr/lib64/sasl2/libsasldb.so
0x00007f73a76bc2e0  0x00007f73a77f5b20  Yes         /lib64/libdb-5.3.so
0x00007f73a7479af0  0x00007f73a7489198  Yes         /lib64/libgcc_s.so.1
(*): Shared library is missing debugging information.
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0x0	0
rbx            0x0	0
rcx            0xffffffffffffffff	-1
rdx            0x6	6
rsi            0x5a20	23072
rdi            0x5a20	23072
rbp            0x7f73be587200	0x7f73be587200 <DEBUGLEVEL_CLASS>
rsp            0x7fff2096aa98	0x7fff2096aa98
r8             0x7fff2096ab10	140733740133136
r9             0x0	0
r10            0x8	8
r11            0x202	514
r12            0x7f73b81155b0	140134986110384
r13            0x7f73bf38b070	140135106130032
r14            0x7f73bf3a74c0	140135106245824
r15            0x7fff2096b184	140733740134788
rip            0x7f73bb4b6a19	0x7f73bb4b6a19 <__GI_raise+57>
eflags         0x202	[ IF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function __GI_raise:
   0x00007f73bb4b69e0 <+0>:	mov    %fs:0x2d4,%eax
   0x00007f73bb4b69e8 <+8>:	mov    %eax,%ecx
   0x00007f73bb4b69ea <+10>:	mov    %fs:0x2d0,%esi
   0x00007f73bb4b69f2 <+18>:	test   %esi,%esi
   0x00007f73bb4b69f4 <+20>:	jne    0x7f73bb4b6a28 <__GI_raise+72>
   0x00007f73bb4b69f6 <+22>:	mov    $0xba,%eax
   0x00007f73bb4b69fb <+27>:	syscall 
   0x00007f73bb4b69fd <+29>:	mov    %eax,%ecx
   0x00007f73bb4b69ff <+31>:	mov    %eax,%fs:0x2d0
   0x00007f73bb4b6a07 <+39>:	mov    %eax,%esi
   0x00007f73bb4b6a09 <+41>:	movslq %edi,%rdx
   0x00007f73bb4b6a0c <+44>:	movslq %esi,%rsi
   0x00007f73bb4b6a0f <+47>:	movslq %ecx,%rdi
   0x00007f73bb4b6a12 <+50>:	mov    $0xea,%eax
   0x00007f73bb4b6a17 <+55>:	syscall 
=> 0x00007f73bb4b6a19 <+57>:	cmp    $0xfffffffffffff000,%rax
   0x00007f73bb4b6a1f <+63>:	ja     0x7f73bb4b6a3a <__GI_raise+90>
   0x00007f73bb4b6a21 <+65>:	repz retq 
   0x00007f73bb4b6a23 <+67>:	nopl   0x0(%rax,%rax,1)
   0x00007f73bb4b6a28 <+72>:	test   %eax,%eax
   0x00007f73bb4b6a2a <+74>:	jg     0x7f73bb4b6a09 <__GI_raise+41>
   0x00007f73bb4b6a2c <+76>:	mov    %eax,%ecx
   0x00007f73bb4b6a2e <+78>:	neg    %ecx
   0x00007f73bb4b6a30 <+80>:	test   $0x7fffffff,%eax
   0x00007f73bb4b6a35 <+85>:	cmove  %esi,%ecx
   0x00007f73bb4b6a38 <+88>:	jmp    0x7f73bb4b6a09 <__GI_raise+41>
   0x00007f73bb4b6a3a <+90>:	mov    0x38441f(%rip),%rdx        # 0x7f73bb83ae60
   0x00007f73bb4b6a41 <+97>:	neg    %eax
   0x00007f73bb4b6a43 <+99>:	mov    %eax,%fs:(%rdx)
   0x00007f73bb4b6a46 <+102>:	or     $0xffffffffffffffff,%rax
   0x00007f73bb4b6a4a <+106>:	retq   
End of assembler dump.
Comment 1 Andreas Schneider 2013-09-16 08:26:47 EDT
Thanks for the bug report. Could you run Samba with valgrind and reproduce it? It smells like a memory corruption.
Comment 2 Guenther Deschner 2013-09-16 09:58:49 EDT
Also, could you please give us some more details about your setup? I tried to reproduce it, made sure to hit the same codepath but I did not see any crash.

As it seems, the WIN7 hostname is SHIVA, the user trying to authenticate bob and the Samba server is configured as a domain member of PETERSON (and winbind is apparently not running). Is that correct ? Is there any special user mapping done ? Is the WIN7 machine part of that same domain ? If possible, please also post the output of "testparm -s".

Thanks.
Comment 3 Robert Peterson 2013-09-16 10:32:57 EDT
Yes, you are correct on pretty much all accounts: 
The samba server is vishnu. The Win7 client is shiva.
My wife is logged into shiva as "kathy" and it authenticates as bob.
Winbind is not running, although it's not something I specifically
tried to do (I don't remember disabling it), but:

[root@vishnu /mnt]# systemctl list-unit-files | grep winbind
winbind.service                             disabled

The Win7 box, shiva, is part of the PETERSON domain.
Here's the output of testparm:

[root@vishnu /etc/samba]# testparm -s
Load smb config files from /etc/samba/smb.conf
rlimit_max: increasing rlimit_max (1024) to minimum Windows limit (16384)
Processing section "[homes]"
Processing section "[printers]"
Processing section "[sata1]"
Processing section "[photos]"
Loaded services file OK.
Server role: ROLE_DOMAIN_MEMBER
[global]
	workgroup = PETERSON
	server string = Samba Server Version %v
	security = DOMAIN
	log file = /var/log/samba/log.%m
	max log size = 50
	idmap config * : backend = tdb
	cups options = raw

[homes]
	comment = Home Directories
	read only = No
	browseable = No

[printers]
	comment = All Printers
	path = /var/spool/samba
	printable = Yes
	print ok = Yes
	browseable = No

[sata1]
	path = /mnt/sata1
	read only = No
	guest ok = Yes

[photos]
	path = /mnt/photos
	read only = No
	guest ok = Yes
Comment 4 Guenther Deschner 2013-09-17 06:17:05 EDT
Thanks for the info!

Unfortunately I'm still unable to reproduce the issue, can you define how long one should wait until the crash occurs ?
Comment 5 Robert Peterson 2013-09-17 08:57:32 EDT
I believe the Windows7 box has the samba share mapped as a
drive (e.g. Z:). I believe the crash occurs when she clicks on
the Z: drive from Windows Explorer and it accesses the samba
share after having sat idle for a while. Since I'm a Red Hat
employee, I can try to debug this with a patched version, with
instrumentation or whatever. However, tomorrow I'm going on
vacation (holiday) so I won't be able to respond for a couple
weeks.
Comment 6 Fedora End Of Life 2015-01-09 14:49:09 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 12:09:54 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.